<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for addressProvinceListRequestType StructType
 * @subpackage Structs
 */
class AddressProvinceListRequestType extends AbstractStructBase
{
    /**
     * The page
     * @var int
     */
    public $page;
    /**
     * Constructor method for addressProvinceListRequestType
     * @uses AddressProvinceListRequestType::setPage()
     * @param int $page
     */
    public function __construct($page = null)
    {
        $this
            ->setPage($page);
    }
    /**
     * Get page value
     * @return int|null
     */
    public function getPage()
    {
        return $this->page;
    }
    /**
     * Set page value
     * @param int $page
     * @return \StructType\AddressProvinceListRequestType
     */
    public function setPage($page = null)
    {
        // validation for constraint: int
        if (!is_null($page) && !(is_int($page) || ctype_digit($page))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($page, true), gettype($page)), __LINE__);
        }
        $this->page = $page;
        return $this;
    }
}
