<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for bovagGetMemberByBovagIdRequestType StructType
 * @subpackage Structs
 */
class BovagGetMemberByBovagIdRequestType extends AbstractStructBase
{
    /**
     * The bovag_id
     * @var string
     */
    public $bovag_id;
    /**
     * Constructor method for bovagGetMemberByBovagIdRequestType
     * @uses BovagGetMemberByBovagIdRequestType::setBovag_id()
     * @param string $bovag_id
     */
    public function __construct($bovag_id = null)
    {
        $this
            ->setBovag_id($bovag_id);
    }
    /**
     * Get bovag_id value
     * @return string|null
     */
    public function getBovag_id()
    {
        return $this->bovag_id;
    }
    /**
     * Set bovag_id value
     * @param string $bovag_id
     * @return \StructType\BovagGetMemberByBovagIdRequestType
     */
    public function setBovag_id($bovag_id = null)
    {
        // validation for constraint: string
        if (!is_null($bovag_id) && !is_string($bovag_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($bovag_id, true), gettype($bovag_id)), __LINE__);
        }
        $this->bovag_id = $bovag_id;
        return $this;
    }
}
