<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for businessGetDossierExtendedRequestType StructType
 * @subpackage Structs
 */
class BusinessGetDossierExtendedRequestType extends AbstractStructBase
{
    /**
     * The dossierno
     * @var string
     */
    public $dossierno;
    /**
     * The subdossierno
     * @var string
     */
    public $subdossierno;
    /**
     * Constructor method for businessGetDossierExtendedRequestType
     * @uses BusinessGetDossierExtendedRequestType::setDossierno()
     * @uses BusinessGetDossierExtendedRequestType::setSubdossierno()
     * @param string $dossierno
     * @param string $subdossierno
     */
    public function __construct($dossierno = null, $subdossierno = null)
    {
        $this
            ->setDossierno($dossierno)
            ->setSubdossierno($subdossierno);
    }
    /**
     * Get dossierno value
     * @return string|null
     */
    public function getDossierno()
    {
        return $this->dossierno;
    }
    /**
     * Set dossierno value
     * @param string $dossierno
     * @return \StructType\BusinessGetDossierExtendedRequestType
     */
    public function setDossierno($dossierno = null)
    {
        // validation for constraint: string
        if (!is_null($dossierno) && !is_string($dossierno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossierno, true), gettype($dossierno)), __LINE__);
        }
        $this->dossierno = $dossierno;
        return $this;
    }
    /**
     * Get subdossierno value
     * @return string|null
     */
    public function getSubdossierno()
    {
        return $this->subdossierno;
    }
    /**
     * Set subdossierno value
     * @param string $subdossierno
     * @return \StructType\BusinessGetDossierExtendedRequestType
     */
    public function setSubdossierno($subdossierno = null)
    {
        // validation for constraint: string
        if (!is_null($subdossierno) && !is_string($subdossierno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($subdossierno, true), gettype($subdossierno)), __LINE__);
        }
        $this->subdossierno = $subdossierno;
        return $this;
    }
}
