<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for carRDWCarDataV2RequestType StructType
 * @subpackage Structs
 */
class CarRDWCarDataV2RequestType extends AbstractStructBase
{
    /**
     * The license_plate
     * @var string
     */
    public $license_plate;
    /**
     * Constructor method for carRDWCarDataV2RequestType
     * @uses CarRDWCarDataV2RequestType::setLicense_plate()
     * @param string $license_plate
     */
    public function __construct($license_plate = null)
    {
        $this
            ->setLicense_plate($license_plate);
    }
    /**
     * Get license_plate value
     * @return string|null
     */
    public function getLicense_plate()
    {
        return $this->license_plate;
    }
    /**
     * Set license_plate value
     * @param string $license_plate
     * @return \StructType\CarRDWCarDataV2RequestType
     */
    public function setLicense_plate($license_plate = null)
    {
        // validation for constraint: string
        if (!is_null($license_plate) && !is_string($license_plate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($license_plate, true), gettype($license_plate)), __LINE__);
        }
        $this->license_plate = $license_plate;
        return $this;
    }
}
