<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeLtdGroupStructure StructType
 * @subpackage Structs
 */
class CreditsafeLtdGroupStructure extends AbstractStructBase
{
    /**
     * The ultimate_parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyListEntry
     */
    public $ultimate_parent;
    /**
     * The immediate_parent
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeCompanyListEntry
     */
    public $immediate_parent;
    /**
     * The subsidiary_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyListEntryArray
     */
    public $subsidiary_companies;
    /**
     * The affiliated_companies
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \ArrayType\CreditsafeCompanyListEntryArray
     */
    public $affiliated_companies;
    /**
     * Constructor method for CreditsafeLtdGroupStructure
     * @uses CreditsafeLtdGroupStructure::setUltimate_parent()
     * @uses CreditsafeLtdGroupStructure::setImmediate_parent()
     * @uses CreditsafeLtdGroupStructure::setSubsidiary_companies()
     * @uses CreditsafeLtdGroupStructure::setAffiliated_companies()
     * @param \StructType\CreditsafeCompanyListEntry $ultimate_parent
     * @param \StructType\CreditsafeCompanyListEntry $immediate_parent
     * @param \ArrayType\CreditsafeCompanyListEntryArray $subsidiary_companies
     * @param \ArrayType\CreditsafeCompanyListEntryArray $affiliated_companies
     */
    public function __construct(\StructType\CreditsafeCompanyListEntry $ultimate_parent = null, \StructType\CreditsafeCompanyListEntry $immediate_parent = null, \ArrayType\CreditsafeCompanyListEntryArray $subsidiary_companies = null, \ArrayType\CreditsafeCompanyListEntryArray $affiliated_companies = null)
    {
        $this
            ->setUltimate_parent($ultimate_parent)
            ->setImmediate_parent($immediate_parent)
            ->setSubsidiary_companies($subsidiary_companies)
            ->setAffiliated_companies($affiliated_companies);
    }
    /**
     * Get ultimate_parent value
     * @return \StructType\CreditsafeCompanyListEntry|null
     */
    public function getUltimate_parent()
    {
        return $this->ultimate_parent;
    }
    /**
     * Set ultimate_parent value
     * @param \StructType\CreditsafeCompanyListEntry $ultimate_parent
     * @return \StructType\CreditsafeLtdGroupStructure
     */
    public function setUltimate_parent(\StructType\CreditsafeCompanyListEntry $ultimate_parent = null)
    {
        $this->ultimate_parent = $ultimate_parent;
        return $this;
    }
    /**
     * Get immediate_parent value
     * @return \StructType\CreditsafeCompanyListEntry|null
     */
    public function getImmediate_parent()
    {
        return $this->immediate_parent;
    }
    /**
     * Set immediate_parent value
     * @param \StructType\CreditsafeCompanyListEntry $immediate_parent
     * @return \StructType\CreditsafeLtdGroupStructure
     */
    public function setImmediate_parent(\StructType\CreditsafeCompanyListEntry $immediate_parent = null)
    {
        $this->immediate_parent = $immediate_parent;
        return $this;
    }
    /**
     * Get subsidiary_companies value
     * @return \ArrayType\CreditsafeCompanyListEntryArray|null
     */
    public function getSubsidiary_companies()
    {
        return $this->subsidiary_companies;
    }
    /**
     * Set subsidiary_companies value
     * @param \ArrayType\CreditsafeCompanyListEntryArray $subsidiary_companies
     * @return \StructType\CreditsafeLtdGroupStructure
     */
    public function setSubsidiary_companies(\ArrayType\CreditsafeCompanyListEntryArray $subsidiary_companies = null)
    {
        $this->subsidiary_companies = $subsidiary_companies;
        return $this;
    }
    /**
     * Get affiliated_companies value
     * @return \ArrayType\CreditsafeCompanyListEntryArray|null
     */
    public function getAffiliated_companies()
    {
        return $this->affiliated_companies;
    }
    /**
     * Set affiliated_companies value
     * @param \ArrayType\CreditsafeCompanyListEntryArray $affiliated_companies
     * @return \StructType\CreditsafeLtdGroupStructure
     */
    public function setAffiliated_companies(\ArrayType\CreditsafeCompanyListEntryArray $affiliated_companies = null)
    {
        $this->affiliated_companies = $affiliated_companies;
        return $this;
    }
}
