<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessUBOClassifyInvestigationRequestType
 * StructType
 * @subpackage Structs
 */
class DutchBusinessUBOClassifyInvestigationRequestType extends AbstractStructBase
{
    /**
     * The token
     * @var string
     */
    public $token;
    /**
     * The scenario
     * @var string
     */
    public $scenario;
    /**
     * Constructor method for dutchBusinessUBOClassifyInvestigationRequestType
     * @uses DutchBusinessUBOClassifyInvestigationRequestType::setToken()
     * @uses DutchBusinessUBOClassifyInvestigationRequestType::setScenario()
     * @param string $token
     * @param string $scenario
     */
    public function __construct($token = null, $scenario = null)
    {
        $this
            ->setToken($token)
            ->setScenario($scenario);
    }
    /**
     * Get token value
     * @return string|null
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\DutchBusinessUBOClassifyInvestigationRequestType
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
    /**
     * Get scenario value
     * @return string|null
     */
    public function getScenario()
    {
        return $this->scenario;
    }
    /**
     * Set scenario value
     * @param string $scenario
     * @return \StructType\DutchBusinessUBOClassifyInvestigationRequestType
     */
    public function setScenario($scenario = null)
    {
        // validation for constraint: string
        if (!is_null($scenario) && !is_string($scenario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($scenario, true), gettype($scenario)), __LINE__);
        }
        $this->scenario = $scenario;
        return $this;
    }
}
