<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessUBOCostsInvestigationResult StructType
 * @subpackage Structs
 */
class DutchBusinessUBOCostsInvestigationResult extends AbstractStructBase
{
    /**
     * The token
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $token;
    /**
     * The status
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $status;
    /**
     * The receipt
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\DutchBusinessUBOReceipt
     */
    public $receipt;
    /**
     * The payment
     * Meta information extracted from the WSDL
     * - minOccurs: 1
     * @var \StructType\DutchBusinessUBOPayment
     */
    public $payment;
    /**
     * Constructor method for dutchBusinessUBOCostsInvestigationResult
     * @uses DutchBusinessUBOCostsInvestigationResult::setToken()
     * @uses DutchBusinessUBOCostsInvestigationResult::setStatus()
     * @uses DutchBusinessUBOCostsInvestigationResult::setReceipt()
     * @uses DutchBusinessUBOCostsInvestigationResult::setPayment()
     * @param string $token
     * @param string $status
     * @param \StructType\DutchBusinessUBOReceipt $receipt
     * @param \StructType\DutchBusinessUBOPayment $payment
     */
    public function __construct($token = null, $status = null, \StructType\DutchBusinessUBOReceipt $receipt = null, \StructType\DutchBusinessUBOPayment $payment = null)
    {
        $this
            ->setToken($token)
            ->setStatus($status)
            ->setReceipt($receipt)
            ->setPayment($payment);
    }
    /**
     * Get token value
     * @return string
     */
    public function getToken()
    {
        return $this->token;
    }
    /**
     * Set token value
     * @param string $token
     * @return \StructType\DutchBusinessUBOCostsInvestigationResult
     */
    public function setToken($token = null)
    {
        // validation for constraint: string
        if (!is_null($token) && !is_string($token)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($token, true), gettype($token)), __LINE__);
        }
        $this->token = $token;
        return $this;
    }
    /**
     * Get status value
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }
    /**
     * Set status value
     * @param string $status
     * @return \StructType\DutchBusinessUBOCostsInvestigationResult
     */
    public function setStatus($status = null)
    {
        // validation for constraint: string
        if (!is_null($status) && !is_string($status)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($status, true), gettype($status)), __LINE__);
        }
        $this->status = $status;
        return $this;
    }
    /**
     * Get receipt value
     * @return \StructType\DutchBusinessUBOReceipt
     */
    public function getReceipt()
    {
        return $this->receipt;
    }
    /**
     * Set receipt value
     * @param \StructType\DutchBusinessUBOReceipt $receipt
     * @return \StructType\DutchBusinessUBOCostsInvestigationResult
     */
    public function setReceipt(\StructType\DutchBusinessUBOReceipt $receipt = null)
    {
        $this->receipt = $receipt;
        return $this;
    }
    /**
     * Get payment value
     * @return \StructType\DutchBusinessUBOPayment
     */
    public function getPayment()
    {
        return $this->payment;
    }
    /**
     * Set payment value
     * @param \StructType\DutchBusinessUBOPayment $payment
     * @return \StructType\DutchBusinessUBOCostsInvestigationResult
     */
    public function setPayment(\StructType\DutchBusinessUBOPayment $payment = null)
    {
        $this->payment = $payment;
        return $this;
    }
}
