<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsolvencyReceivers StructType
 * @subpackage Structs
 */
class InsolvencyReceivers extends AbstractStructBase
{
    /**
     * The receiver
     * @var \ArrayType\InsolvencyLegalPerformingPersonArray
     */
    public $receiver;
    /**
     * Constructor method for InsolvencyReceivers
     * @uses InsolvencyReceivers::setReceiver()
     * @param \ArrayType\InsolvencyLegalPerformingPersonArray $receiver
     */
    public function __construct(\ArrayType\InsolvencyLegalPerformingPersonArray $receiver = null)
    {
        $this
            ->setReceiver($receiver);
    }
    /**
     * Get receiver value
     * @return \ArrayType\InsolvencyLegalPerformingPersonArray|null
     */
    public function getReceiver()
    {
        return $this->receiver;
    }
    /**
     * Set receiver value
     * @param \ArrayType\InsolvencyLegalPerformingPersonArray $receiver
     * @return \StructType\InsolvencyReceivers
     */
    public function setReceiver(\ArrayType\InsolvencyLegalPerformingPersonArray $receiver = null)
    {
        $this->receiver = $receiver;
        return $this;
    }
}
