<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterAddressCoordinatesResponseType StructType
 * @subpackage Structs
 */
class KadasterAddressCoordinatesResponseType extends AbstractStructBase
{
    /**
     * The coordinates
     * @var \StructType\KadasterCoordinates
     */
    public $coordinates;
    /**
     * Constructor method for kadasterAddressCoordinatesResponseType
     * @uses KadasterAddressCoordinatesResponseType::setCoordinates()
     * @param \StructType\KadasterCoordinates $coordinates
     */
    public function __construct(\StructType\KadasterCoordinates $coordinates = null)
    {
        $this
            ->setCoordinates($coordinates);
    }
    /**
     * Get coordinates value
     * @return \StructType\KadasterCoordinates|null
     */
    public function getCoordinates()
    {
        return $this->coordinates;
    }
    /**
     * Set coordinates value
     * @param \StructType\KadasterCoordinates $coordinates
     * @return \StructType\KadasterAddressCoordinatesResponseType
     */
    public function setCoordinates(\StructType\KadasterCoordinates $coordinates = null)
    {
        $this->coordinates = $coordinates;
        return $this;
    }
}
