<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for KadasterV2KadastraleGrootte StructType
 * @subpackage Structs
 */
class KadasterV2KadastraleGrootte extends AbstractStructBase
{
    /**
     * The waarde
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $waarde;
    /**
     * The soort_grootte
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $soort_grootte;
    /**
     * Constructor method for KadasterV2KadastraleGrootte
     * @uses KadasterV2KadastraleGrootte::setWaarde()
     * @uses KadasterV2KadastraleGrootte::setSoort_grootte()
     * @param float $waarde
     * @param string $soort_grootte
     */
    public function __construct($waarde = null, $soort_grootte = null)
    {
        $this
            ->setWaarde($waarde)
            ->setSoort_grootte($soort_grootte);
    }
    /**
     * Get waarde value
     * @return float|null
     */
    public function getWaarde()
    {
        return $this->waarde;
    }
    /**
     * Set waarde value
     * @param float $waarde
     * @return \StructType\KadasterV2KadastraleGrootte
     */
    public function setWaarde($waarde = null)
    {
        // validation for constraint: float
        if (!is_null($waarde) && !(is_float($waarde) || is_numeric($waarde))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($waarde, true), gettype($waarde)), __LINE__);
        }
        $this->waarde = $waarde;
        return $this;
    }
    /**
     * Get soort_grootte value
     * @return string|null
     */
    public function getSoort_grootte()
    {
        return $this->soort_grootte;
    }
    /**
     * Set soort_grootte value
     * @param string $soort_grootte
     * @return \StructType\KadasterV2KadastraleGrootte
     */
    public function setSoort_grootte($soort_grootte = null)
    {
        // validation for constraint: string
        if (!is_null($soort_grootte) && !is_string($soort_grootte)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($soort_grootte, true), gettype($soort_grootte)), __LINE__);
        }
        $this->soort_grootte = $soort_grootte;
        return $this;
    }
}
