<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerGetRouteResponseType StructType
 * @subpackage Structs
 */
class RoutePlannerGetRouteResponseType extends AbstractStructBase
{
    /**
     * The route
     * @var \StructType\RoutePlannerRoute
     */
    public $route;
    /**
     * Constructor method for routePlannerGetRouteResponseType
     * @uses RoutePlannerGetRouteResponseType::setRoute()
     * @param \StructType\RoutePlannerRoute $route
     */
    public function __construct(\StructType\RoutePlannerRoute $route = null)
    {
        $this
            ->setRoute($route);
    }
    /**
     * Get route value
     * @return \StructType\RoutePlannerRoute|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \StructType\RoutePlannerRoute $route
     * @return \StructType\RoutePlannerGetRouteResponseType
     */
    public function setRoute(\StructType\RoutePlannerRoute $route = null)
    {
        $this->route = $route;
        return $this;
    }
}
