<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for sepaConvertBankAccountNumberResponseType StructType
 * @subpackage Structs
 */
class SepaConvertBankAccountNumberResponseType extends AbstractStructBase
{
    /**
     * The response
     * @var \StructType\SepaBankAccountIbanData
     */
    public $response;
    /**
     * Constructor method for sepaConvertBankAccountNumberResponseType
     * @uses SepaConvertBankAccountNumberResponseType::setResponse()
     * @param \StructType\SepaBankAccountIbanData $response
     */
    public function __construct(\StructType\SepaBankAccountIbanData $response = null)
    {
        $this
            ->setResponse($response);
    }
    /**
     * Get response value
     * @return \StructType\SepaBankAccountIbanData|null
     */
    public function getResponse()
    {
        return $this->response;
    }
    /**
     * Set response value
     * @param \StructType\SepaBankAccountIbanData $response
     * @return \StructType\SepaConvertBankAccountNumberResponseType
     */
    public function setResponse(\StructType\SepaBankAccountIbanData $response = null)
    {
        $this->response = $response;
        return $this;
    }
}
