<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for businessGetSBIDescriptionRequestType StructType
 * @subpackage Structs
 */
class BusinessGetSBIDescriptionRequestType extends AbstractStructBase
{
    /**
     * The sbicode
     * @var string
     */
    public $sbicode;
    /**
     * Constructor method for businessGetSBIDescriptionRequestType
     * @uses BusinessGetSBIDescriptionRequestType::setSbicode()
     * @param string $sbicode
     */
    public function __construct($sbicode = null)
    {
        $this
            ->setSbicode($sbicode);
    }
    /**
     * Get sbicode value
     * @return string|null
     */
    public function getSbicode()
    {
        return $this->sbicode;
    }
    /**
     * Set sbicode value
     * @param string $sbicode
     * @return \StructType\BusinessGetSBIDescriptionRequestType
     */
    public function setSbicode($sbicode = null)
    {
        // validation for constraint: string
        if (!is_null($sbicode) && !is_string($sbicode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sbicode, true), gettype($sbicode)), __LINE__);
        }
        $this->sbicode = $sbicode;
        return $this;
    }
}
