<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeCompanyNegativeInformationDEInsolvencyEventV2
 * StructType
 * @subpackage Structs
 */
class CreditsafeCompanyNegativeInformationDEInsolvencyEventV2 extends AbstractStructBase
{
    /**
     * The reference_number_court
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $reference_number_court;
    /**
     * The created_at
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $created_at;
    /**
     * Constructor method for CreditsafeCompanyNegativeInformationDEInsolvencyEventV2
     * @uses CreditsafeCompanyNegativeInformationDEInsolvencyEventV2::setReference_number_court()
     * @uses CreditsafeCompanyNegativeInformationDEInsolvencyEventV2::setCreated_at()
     * @param string $reference_number_court
     * @param string $created_at
     */
    public function __construct($reference_number_court = null, $created_at = null)
    {
        $this
            ->setReference_number_court($reference_number_court)
            ->setCreated_at($created_at);
    }
    /**
     * Get reference_number_court value
     * @return string|null
     */
    public function getReference_number_court()
    {
        return $this->reference_number_court;
    }
    /**
     * Set reference_number_court value
     * @param string $reference_number_court
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2
     */
    public function setReference_number_court($reference_number_court = null)
    {
        // validation for constraint: string
        if (!is_null($reference_number_court) && !is_string($reference_number_court)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($reference_number_court, true), gettype($reference_number_court)), __LINE__);
        }
        $this->reference_number_court = $reference_number_court;
        return $this;
    }
    /**
     * Get created_at value
     * @return string|null
     */
    public function getCreated_at()
    {
        return $this->created_at;
    }
    /**
     * Set created_at value
     * @param string $created_at
     * @return \StructType\CreditsafeCompanyNegativeInformationDEInsolvencyEventV2
     */
    public function setCreated_at($created_at = null)
    {
        // validation for constraint: string
        if (!is_null($created_at) && !is_string($created_at)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($created_at, true), gettype($created_at)), __LINE__);
        }
        $this->created_at = $created_at;
        return $this;
    }
}
