<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreditsafeNlAdditionalInformation StructType
 * @subpackage Structs
 */
class CreditsafeNlAdditionalInformation extends AbstractStructBase
{
    /**
     * The negative_information
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlNegativeInformation
     */
    public $negative_information;
    /**
     * The misc
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlMisc
     */
    public $misc;
    /**
     * The industry_quartile_analysis
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeIndustryQuartilyAnalysis
     */
    public $industry_quartile_analysis;
    /**
     * The payment_expectations_summary
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlPaymentExpectationsSummary
     */
    public $payment_expectations_summary;
    /**
     * The letters_of_liability_information_403
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\CreditsafeNlLettersOfLiabilityInformation403
     */
    public $letters_of_liability_information_403;
    /**
     * Constructor method for CreditsafeNlAdditionalInformation
     * @uses CreditsafeNlAdditionalInformation::setNegative_information()
     * @uses CreditsafeNlAdditionalInformation::setMisc()
     * @uses CreditsafeNlAdditionalInformation::setIndustry_quartile_analysis()
     * @uses CreditsafeNlAdditionalInformation::setPayment_expectations_summary()
     * @uses CreditsafeNlAdditionalInformation::setLetters_of_liability_information_403()
     * @param \StructType\CreditsafeNlNegativeInformation $negative_information
     * @param \StructType\CreditsafeNlMisc $misc
     * @param \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis
     * @param \StructType\CreditsafeNlPaymentExpectationsSummary $payment_expectations_summary
     * @param \StructType\CreditsafeNlLettersOfLiabilityInformation403 $letters_of_liability_information_403
     */
    public function __construct(\StructType\CreditsafeNlNegativeInformation $negative_information = null, \StructType\CreditsafeNlMisc $misc = null, \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis = null, \StructType\CreditsafeNlPaymentExpectationsSummary $payment_expectations_summary = null, \StructType\CreditsafeNlLettersOfLiabilityInformation403 $letters_of_liability_information_403 = null)
    {
        $this
            ->setNegative_information($negative_information)
            ->setMisc($misc)
            ->setIndustry_quartile_analysis($industry_quartile_analysis)
            ->setPayment_expectations_summary($payment_expectations_summary)
            ->setLetters_of_liability_information_403($letters_of_liability_information_403);
    }
    /**
     * Get negative_information value
     * @return \StructType\CreditsafeNlNegativeInformation|null
     */
    public function getNegative_information()
    {
        return $this->negative_information;
    }
    /**
     * Set negative_information value
     * @param \StructType\CreditsafeNlNegativeInformation $negative_information
     * @return \StructType\CreditsafeNlAdditionalInformation
     */
    public function setNegative_information(\StructType\CreditsafeNlNegativeInformation $negative_information = null)
    {
        $this->negative_information = $negative_information;
        return $this;
    }
    /**
     * Get misc value
     * @return \StructType\CreditsafeNlMisc|null
     */
    public function getMisc()
    {
        return $this->misc;
    }
    /**
     * Set misc value
     * @param \StructType\CreditsafeNlMisc $misc
     * @return \StructType\CreditsafeNlAdditionalInformation
     */
    public function setMisc(\StructType\CreditsafeNlMisc $misc = null)
    {
        $this->misc = $misc;
        return $this;
    }
    /**
     * Get industry_quartile_analysis value
     * @return \StructType\CreditsafeIndustryQuartilyAnalysis|null
     */
    public function getIndustry_quartile_analysis()
    {
        return $this->industry_quartile_analysis;
    }
    /**
     * Set industry_quartile_analysis value
     * @param \StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis
     * @return \StructType\CreditsafeNlAdditionalInformation
     */
    public function setIndustry_quartile_analysis(\StructType\CreditsafeIndustryQuartilyAnalysis $industry_quartile_analysis = null)
    {
        $this->industry_quartile_analysis = $industry_quartile_analysis;
        return $this;
    }
    /**
     * Get payment_expectations_summary value
     * @return \StructType\CreditsafeNlPaymentExpectationsSummary|null
     */
    public function getPayment_expectations_summary()
    {
        return $this->payment_expectations_summary;
    }
    /**
     * Set payment_expectations_summary value
     * @param \StructType\CreditsafeNlPaymentExpectationsSummary $payment_expectations_summary
     * @return \StructType\CreditsafeNlAdditionalInformation
     */
    public function setPayment_expectations_summary(\StructType\CreditsafeNlPaymentExpectationsSummary $payment_expectations_summary = null)
    {
        $this->payment_expectations_summary = $payment_expectations_summary;
        return $this;
    }
    /**
     * Get letters_of_liability_information value
     * @return letters_of_liability_information
     */
    public function getLetters_of_liability_information_403()
    {
        return $this->letters_of_liability_information_403;
    }
    /**
     * Set letters_of_liability_information value
     * @param letters_of_liability_information $letters_of_liability_information
     * @return \StructType\CreditsafeNlAdditionalInformation
     */
    public function setLetters_of_liability_information_403(\StructType\CreditsafeNlLettersOfLiabilityInformation403 $letters_of_liability_information_403 = null)
    {
        $this->letters_of_liability_information_403 = $letters_of_liability_information_403;
        return $this;
    }
}
