<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessGetConcernRelationsDetailsGraph StructType
 * @subpackage Structs
 */
class DutchBusinessGetConcernRelationsDetailsGraph extends AbstractStructBase
{
    /**
     * The nodes
     * @var \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray
     */
    public $nodes;
    /**
     * The links
     * @var \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray
     */
    public $links;
    /**
     * Constructor method for DutchBusinessGetConcernRelationsDetailsGraph
     * @uses DutchBusinessGetConcernRelationsDetailsGraph::setNodes()
     * @uses DutchBusinessGetConcernRelationsDetailsGraph::setLinks()
     * @param \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray $nodes
     * @param \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray $links
     */
    public function __construct(\ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray $nodes = null, \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray $links = null)
    {
        $this
            ->setNodes($nodes)
            ->setLinks($links);
    }
    /**
     * Get nodes value
     * @return \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray|null
     */
    public function getNodes()
    {
        return $this->nodes;
    }
    /**
     * Set nodes value
     * @param \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray $nodes
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraph
     */
    public function setNodes(\ArrayType\DutchBusinessGetConcernRelationsDetailsGraphNodeArray $nodes = null)
    {
        $this->nodes = $nodes;
        return $this;
    }
    /**
     * Get links value
     * @return \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray|null
     */
    public function getLinks()
    {
        return $this->links;
    }
    /**
     * Set links value
     * @param \ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray $links
     * @return \StructType\DutchBusinessGetConcernRelationsDetailsGraph
     */
    public function setLinks(\ArrayType\DutchBusinessGetConcernRelationsDetailsGraphLinkArray $links = null)
    {
        $this->links = $links;
        return $this;
    }
}
