<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for dutchBusinessGetExtractDocumentRequestType StructType
 * @subpackage Structs
 */
class DutchBusinessGetExtractDocumentRequestType extends AbstractStructBase
{
    /**
     * The dossier_number
     * @var string
     */
    public $dossier_number;
    /**
     * The allow_caching
     * @var bool
     */
    public $allow_caching;
    /**
     * Constructor method for dutchBusinessGetExtractDocumentRequestType
     * @uses DutchBusinessGetExtractDocumentRequestType::setDossier_number()
     * @uses DutchBusinessGetExtractDocumentRequestType::setAllow_caching()
     * @param string $dossier_number
     * @param bool $allow_caching
     */
    public function __construct($dossier_number = null, $allow_caching = null)
    {
        $this
            ->setDossier_number($dossier_number)
            ->setAllow_caching($allow_caching);
    }
    /**
     * Get dossier_number value
     * @return string|null
     */
    public function getDossier_number()
    {
        return $this->dossier_number;
    }
    /**
     * Set dossier_number value
     * @param string $dossier_number
     * @return \StructType\DutchBusinessGetExtractDocumentRequestType
     */
    public function setDossier_number($dossier_number = null)
    {
        // validation for constraint: string
        if (!is_null($dossier_number) && !is_string($dossier_number)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dossier_number, true), gettype($dossier_number)), __LINE__);
        }
        $this->dossier_number = $dossier_number;
        return $this;
    }
    /**
     * Get allow_caching value
     * @return bool|null
     */
    public function getAllow_caching()
    {
        return $this->allow_caching;
    }
    /**
     * Set allow_caching value
     * @param bool $allow_caching
     * @return \StructType\DutchBusinessGetExtractDocumentRequestType
     */
    public function setAllow_caching($allow_caching = null)
    {
        // validation for constraint: boolean
        if (!is_null($allow_caching) && !is_bool($allow_caching)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($allow_caching, true), gettype($allow_caching)), __LINE__);
        }
        $this->allow_caching = $allow_caching;
        return $this;
    }
}
