<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DutchBusinessLeiSuccessor StructType
 * @subpackage Structs
 */
class DutchBusinessLeiSuccessor extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The lei_code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $lei_code;
    /**
     * Constructor method for DutchBusinessLeiSuccessor
     * @uses DutchBusinessLeiSuccessor::setName()
     * @uses DutchBusinessLeiSuccessor::setLei_code()
     * @param string $name
     * @param string $lei_code
     */
    public function __construct($name = null, $lei_code = null)
    {
        $this
            ->setName($name)
            ->setLei_code($lei_code);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\DutchBusinessLeiSuccessor
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get lei_code value
     * @return string|null
     */
    public function getLei_code()
    {
        return $this->lei_code;
    }
    /**
     * Set lei_code value
     * @param string $lei_code
     * @return \StructType\DutchBusinessLeiSuccessor
     */
    public function setLei_code($lei_code = null)
    {
        // validation for constraint: string
        if (!is_null($lei_code) && !is_string($lei_code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($lei_code, true), gettype($lei_code)), __LINE__);
        }
        $this->lei_code = $lei_code;
        return $this;
    }
}
