<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsolvencyCurators StructType
 * @subpackage Structs
 */
class InsolvencyCurators extends AbstractStructBase
{
    /**
     * The curator
     * @var \ArrayType\InsolvencyLegalPerformingPersonArray
     */
    public $curator;
    /**
     * Constructor method for InsolvencyCurators
     * @uses InsolvencyCurators::setCurator()
     * @param \ArrayType\InsolvencyLegalPerformingPersonArray $curator
     */
    public function __construct(\ArrayType\InsolvencyLegalPerformingPersonArray $curator = null)
    {
        $this
            ->setCurator($curator);
    }
    /**
     * Get curator value
     * @return \ArrayType\InsolvencyLegalPerformingPersonArray|null
     */
    public function getCurator()
    {
        return $this->curator;
    }
    /**
     * Set curator value
     * @param \ArrayType\InsolvencyLegalPerformingPersonArray $curator
     * @return \StructType\InsolvencyCurators
     */
    public function setCurator(\ArrayType\InsolvencyLegalPerformingPersonArray $curator = null)
    {
        $this->curator = $curator;
        return $this;
    }
}
