<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for insolvencyGetCaseByPublicationRequestType StructType
 * @subpackage Structs
 */
class InsolvencyGetCaseByPublicationRequestType extends AbstractStructBase
{
    /**
     * The publication_id
     * @var string
     */
    public $publication_id;
    /**
     * Constructor method for insolvencyGetCaseByPublicationRequestType
     * @uses InsolvencyGetCaseByPublicationRequestType::setPublication_id()
     * @param string $publication_id
     */
    public function __construct($publication_id = null)
    {
        $this
            ->setPublication_id($publication_id);
    }
    /**
     * Get publication_id value
     * @return string|null
     */
    public function getPublication_id()
    {
        return $this->publication_id;
    }
    /**
     * Set publication_id value
     * @param string $publication_id
     * @return \StructType\InsolvencyGetCaseByPublicationRequestType
     */
    public function setPublication_id($publication_id = null)
    {
        // validation for constraint: string
        if (!is_null($publication_id) && !is_string($publication_id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($publication_id, true), gettype($publication_id)), __LINE__);
        }
        $this->publication_id = $publication_id;
        return $this;
    }
}
