<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for kadasterDomicilieKeuzeLijst StructType
 * @subpackage Structs
 */
class KadasterDomicilieKeuzeLijst extends AbstractStructBase
{
    /**
     * The domicilie_keuzes
     * @var \ArrayType\KadasterDomicilieKeuzeArray
     */
    public $domicilie_keuzes;
    /**
     * The indicatie_compleet
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $indicatie_compleet;
    /**
     * Constructor method for kadasterDomicilieKeuzeLijst
     * @uses KadasterDomicilieKeuzeLijst::setDomicilie_keuzes()
     * @uses KadasterDomicilieKeuzeLijst::setIndicatie_compleet()
     * @param \ArrayType\KadasterDomicilieKeuzeArray $domicilie_keuzes
     * @param bool $indicatie_compleet
     */
    public function __construct(\ArrayType\KadasterDomicilieKeuzeArray $domicilie_keuzes = null, $indicatie_compleet = null)
    {
        $this
            ->setDomicilie_keuzes($domicilie_keuzes)
            ->setIndicatie_compleet($indicatie_compleet);
    }
    /**
     * Get domicilie_keuzes value
     * @return \ArrayType\KadasterDomicilieKeuzeArray|null
     */
    public function getDomicilie_keuzes()
    {
        return $this->domicilie_keuzes;
    }
    /**
     * Set domicilie_keuzes value
     * @param \ArrayType\KadasterDomicilieKeuzeArray $domicilie_keuzes
     * @return \StructType\KadasterDomicilieKeuzeLijst
     */
    public function setDomicilie_keuzes(\ArrayType\KadasterDomicilieKeuzeArray $domicilie_keuzes = null)
    {
        $this->domicilie_keuzes = $domicilie_keuzes;
        return $this;
    }
    /**
     * Get indicatie_compleet value
     * @return bool|null
     */
    public function getIndicatie_compleet()
    {
        return $this->indicatie_compleet;
    }
    /**
     * Set indicatie_compleet value
     * @param bool $indicatie_compleet
     * @return \StructType\KadasterDomicilieKeuzeLijst
     */
    public function setIndicatie_compleet($indicatie_compleet = null)
    {
        // validation for constraint: boolean
        if (!is_null($indicatie_compleet) && !is_bool($indicatie_compleet)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($indicatie_compleet, true), gettype($indicatie_compleet)), __LINE__);
        }
        $this->indicatie_compleet = $indicatie_compleet;
        return $this;
    }
}
