<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for routePlannerEUDescriptionRequestType StructType
 * @subpackage Structs
 */
class RoutePlannerEUDescriptionRequestType extends AbstractStructBase
{
    /**
     * The latitudefrom
     * @var float
     */
    public $latitudefrom;
    /**
     * The longitudefrom
     * @var float
     */
    public $longitudefrom;
    /**
     * The latitudeto
     * @var float
     */
    public $latitudeto;
    /**
     * The longitudeto
     * @var float
     */
    public $longitudeto;
    /**
     * The routetype
     * @var string
     */
    public $routetype;
    /**
     * The language
     * @var string
     */
    public $language;
    /**
     * Constructor method for routePlannerEUDescriptionRequestType
     * @uses RoutePlannerEUDescriptionRequestType::setLatitudefrom()
     * @uses RoutePlannerEUDescriptionRequestType::setLongitudefrom()
     * @uses RoutePlannerEUDescriptionRequestType::setLatitudeto()
     * @uses RoutePlannerEUDescriptionRequestType::setLongitudeto()
     * @uses RoutePlannerEUDescriptionRequestType::setRoutetype()
     * @uses RoutePlannerEUDescriptionRequestType::setLanguage()
     * @param float $latitudefrom
     * @param float $longitudefrom
     * @param float $latitudeto
     * @param float $longitudeto
     * @param string $routetype
     * @param string $language
     */
    public function __construct($latitudefrom = null, $longitudefrom = null, $latitudeto = null, $longitudeto = null, $routetype = null, $language = null)
    {
        $this
            ->setLatitudefrom($latitudefrom)
            ->setLongitudefrom($longitudefrom)
            ->setLatitudeto($latitudeto)
            ->setLongitudeto($longitudeto)
            ->setRoutetype($routetype)
            ->setLanguage($language);
    }
    /**
     * Get latitudefrom value
     * @return float|null
     */
    public function getLatitudefrom()
    {
        return $this->latitudefrom;
    }
    /**
     * Set latitudefrom value
     * @param float $latitudefrom
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setLatitudefrom($latitudefrom = null)
    {
        // validation for constraint: float
        if (!is_null($latitudefrom) && !(is_float($latitudefrom) || is_numeric($latitudefrom))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($latitudefrom, true), gettype($latitudefrom)), __LINE__);
        }
        $this->latitudefrom = $latitudefrom;
        return $this;
    }
    /**
     * Get longitudefrom value
     * @return float|null
     */
    public function getLongitudefrom()
    {
        return $this->longitudefrom;
    }
    /**
     * Set longitudefrom value
     * @param float $longitudefrom
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setLongitudefrom($longitudefrom = null)
    {
        // validation for constraint: float
        if (!is_null($longitudefrom) && !(is_float($longitudefrom) || is_numeric($longitudefrom))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($longitudefrom, true), gettype($longitudefrom)), __LINE__);
        }
        $this->longitudefrom = $longitudefrom;
        return $this;
    }
    /**
     * Get latitudeto value
     * @return float|null
     */
    public function getLatitudeto()
    {
        return $this->latitudeto;
    }
    /**
     * Set latitudeto value
     * @param float $latitudeto
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setLatitudeto($latitudeto = null)
    {
        // validation for constraint: float
        if (!is_null($latitudeto) && !(is_float($latitudeto) || is_numeric($latitudeto))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($latitudeto, true), gettype($latitudeto)), __LINE__);
        }
        $this->latitudeto = $latitudeto;
        return $this;
    }
    /**
     * Get longitudeto value
     * @return float|null
     */
    public function getLongitudeto()
    {
        return $this->longitudeto;
    }
    /**
     * Set longitudeto value
     * @param float $longitudeto
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setLongitudeto($longitudeto = null)
    {
        // validation for constraint: float
        if (!is_null($longitudeto) && !(is_float($longitudeto) || is_numeric($longitudeto))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($longitudeto, true), gettype($longitudeto)), __LINE__);
        }
        $this->longitudeto = $longitudeto;
        return $this;
    }
    /**
     * Get routetype value
     * @return string|null
     */
    public function getRoutetype()
    {
        return $this->routetype;
    }
    /**
     * Set routetype value
     * @param string $routetype
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setRoutetype($routetype = null)
    {
        // validation for constraint: string
        if (!is_null($routetype) && !is_string($routetype)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($routetype, true), gettype($routetype)), __LINE__);
        }
        $this->routetype = $routetype;
        return $this;
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $language
     * @return \StructType\RoutePlannerEUDescriptionRequestType
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->language = $language;
        return $this;
    }
}
