<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for userAddGroupRequestType StructType
 * @subpackage Structs
 */
class UserAddGroupRequestType extends AbstractStructBase
{
    /**
     * The userid
     * @var int
     */
    public $userid;
    /**
     * The usergroupid
     * @var int
     */
    public $usergroupid;
    /**
     * Constructor method for userAddGroupRequestType
     * @uses UserAddGroupRequestType::setUserid()
     * @uses UserAddGroupRequestType::setUsergroupid()
     * @param int $userid
     * @param int $usergroupid
     */
    public function __construct($userid = null, $usergroupid = null)
    {
        $this
            ->setUserid($userid)
            ->setUsergroupid($usergroupid);
    }
    /**
     * Get userid value
     * @return int|null
     */
    public function getUserid()
    {
        return $this->userid;
    }
    /**
     * Set userid value
     * @param int $userid
     * @return \StructType\UserAddGroupRequestType
     */
    public function setUserid($userid = null)
    {
        // validation for constraint: int
        if (!is_null($userid) && !(is_int($userid) || ctype_digit($userid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($userid, true), gettype($userid)), __LINE__);
        }
        $this->userid = $userid;
        return $this;
    }
    /**
     * Get usergroupid value
     * @return int|null
     */
    public function getUsergroupid()
    {
        return $this->usergroupid;
    }
    /**
     * Set usergroupid value
     * @param int $usergroupid
     * @return \StructType\UserAddGroupRequestType
     */
    public function setUsergroupid($usergroupid = null)
    {
        // validation for constraint: int
        if (!is_null($usergroupid) && !(is_int($usergroupid) || ctype_digit($usergroupid))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($usergroupid, true), gettype($usergroupid)), __LINE__);
        }
        $this->usergroupid = $usergroupid;
        return $this;
    }
}
